@font-face {
    font-family: 'Fredoka';
    src: url('../fonts/Fredoka-VariableFont_wdth\,wght.woff2') format('woff2');
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

:root {
    font-family: 'Fredoka';
    line-height: 1.6;
    scroll-behavior: smooth;
    --bg: oklch(0.99 0.003 325);
    --primary: oklch(0.25 0.01 325);
    background-color: var(--bg);
    color: var(--primary);
}

body {
    margin: 0;
}

.container {
    max-width: 80rem;
    margin: 0 auto;
    padding: 0 1rem;
}

header {
    background-color: var(--primary);
}

nav ul {
    list-style: none;
    padding: 0;
    margin: 0 -2rem;
    display: flex;
    flex-wrap: wrap;
}

nav a {
    display: block;
    padding: 1rem 2rem;
    color: var(--bg);
    text-decoration: none;
}

.row {
    display: flex;
    gap: 2rem;

    div {
        border: dashed 1px oklch(0.25 0.01 325);
        padding: 1rem;
    }

    :first-child {
        flex-grow: 2;
    }

    :last-child {
        flex-grow: 1;
    }
}

main {
    nav {
        --text: oklch(0.99 0.003 325);
        --bg: oklch(0.45 0.32 40);

        ul {
            margin: 0;
        }
    }

    nav a {
        color: var(--text);
        background-color: var(--bg);
        transition: color .2s ease-in-out, background-color .2s ease-in-out;

        &:hover,
        &:focus-visible {
            --text: oklch(0.99 0.003 325);
            --bg: oklch(0.25 0.01 325);
        }
    }

    nav li:first-child {
        margin-inline-end: auto;

        a {
            font-weight: bold;
            background-color: oklch(0.99 0.003 325);
            color: var(--primary);
        }
    }
}

.cards {
    display: flex;
    gap: 4rem;
    flex-wrap: wrap;
    list-style: none;
    margin: 0;
    padding: 0;


    li {
        display: flex;
        flex: 0 0 18rem;
        flex-direction: column-reverse;
        background: oklch(1 0 0);
        border-radius: 12px;
        box-shadow: 0 6px 20px oklch(0% 0 0 / 0.404);
        overflow: hidden;
    }

    img {
        width: 100%;
        height: 150px;
        object-fit: cover;
    }

    .content {
        padding: 1rem;
    }

    .overlay-link {
        display: none;
    }
}


.visually-hidden:not(:focus):not(:active) {
    clip: rect(0 0 0 0);
    clip-path: inset(50%);
    height: 1px;
    overflow: hidden;
    position: absolute;
    white-space: nowrap;
    width: 1px;
}

.mylink a {
    color: oklch(0.5433 0.174 29.7);
    font-weight: 600;
    display: inline-flex;
    align-items: center;
    gap: 0.25rem;
}

.mylink a::before {
    text-decoration: none;
    content: "✖";
    color: #c0392b;
    font-weight: bold;
}

.mybutton a {
    background-color: oklch(0.5306 0.122 135.08);
    color: oklch(1 0 0);
    padding: 0.6rem 1.25rem;
    border-radius: 0.4rem;
    font-weight: 600;
    display: inline-block;
}